All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata.dav
Class DAVStoredprocessalert

    com.sas.services.information.metadata.dav.DAVStoredprocessalert

All Implemented Interfaces:
  AttributesInterface, DAVEntityInterface, DAVItemInterface, java.io.Serializable

    public class DAVStoredprocessalert

Represents a stored process alert in the DAV store.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.services.information.metadata.dav.DAVEntity
`_acl, _descAttribute, _fullUrl, _name, _nameAttribute, _objectClass, _properties, _repos, _reposId, _resource, _schemaProperties, aclList, content, hasBeenFetched, LOCAL, STORE, UNSET`

Constructor Summary
`DAVStoredprocessalert(com.sas.services.information.RepositoryData entity)` Creates a new DAVStroredprocessalert from the information in the entity
`DAVStoredprocessalert(RepositoryInterface repos, java.lang.String reposId)` Creates a new DAVStoredprocessalert for the entity with a repository id `reposId` in the repository `repos`

Method Summary

Methods inherited from class com.sas.services.information.metadata.dav.DAVEvent
`findPropertyValue, getEventDocument, getEventDocumentAsString, promoteProperties, setEventDocument, setEventDocumentFromString`

Methods inherited from class com.sas.services.information.metadata.dav.DAVItem
`checkin, checkout, clearLocalLists, finalize, getContentLength, getContents, getContentsAsBytes, getContentsStatus, getContentType, hasContentsUpdates, isUpdatePending, setContents, setContents, setContentsfromStore, setContentsStatus, setContentType, toString, uncheckout`

Methods inherited from class com.sas.services.information.metadata.dav.DAVEntity
`addAccessControlEntry, addAttribute, addAttributes, addUpdateMultiple, addUpdateSingle, commitUpdates, copy, delete, deleteAttribute, deleteAttributes, fetchEntity, getAccessControlList, getACL, getAttribute, getAttributes, getCreateDate, getDAVResource, getDescription, getFolder, getGUID, getModifyDate, getName, getObjectClass, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getType, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, move, refresh, refresh, removeAccessControlEntry, setAccessControls, setACL, setAttribute, setAttributes, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, setRepository, update`

Methods inherited from interface com.sas.services.information.metadata.dav.DAVEntityInterface
`addAccessControlEntry, copy, delete, getAccessControlList, getACL, getCreateDate, getDAVResource, getDescription, getFolder, getGUID, getModifyDate, getName, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getType, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, move, refresh, refresh, removeAccessControlEntry, setACL, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, update`

Methods inherited from interface com.sas.services.information.metadata.dav.AttributesInterface
`addAttribute, addAttributes, deleteAttribute, deleteAttributes, getAttribute, getAttributes, setAttribute, setAttributes`

Constructor Detail

### DAVStoredprocessalert

    public DAVStoredprocessalert(com.sas.services.information.RepositoryData entity)

  Creates a new DAVStroredprocessalert from the information in the entity

### DAVStoredprocessalert

    public DAVStoredprocessalert(RepositoryInterface repos,
                                 java.lang.String reposId)

  Creates a new DAVStoredprocessalert for the entity with a repository id `reposId` in the repository `repos`

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.